config/routes.rb
Rails.application.routes.draw do
  root 'main#landing_page'
  get 'main#home' => 'main#home', as: :main
  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
end

app/models/application_record.rb
class ApplicationRecord < ActiveRecord::Base
  self.abstract_class = true
end

app/controllers/application_controller.rb
class ApplicationController < ActionController::Base
  protect_from_forgery with: :exception
end

app/controllers/main_controller.rb
class MainController < ApplicationController
  def home
    @presenter = HomepagePresenter.new
    titles = [Websites::Reddit, Websites::GoogleNews, Websites::NPR, Websites::BBC].map { |w| w.new.stories.map(&:titles) }.flatten
    result = FrequencyFinder.new.perform(titles)
    @frequent_stories = FrequencyFinder.new.perform(titles).phrase_frequency.sort_by { |_, v| v }.reverse
    @frequent_stories = result.word_frequency.sort_by { |_, v| v }.reverse
  end
end

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html class="full-view">
  <head>
    <title>BigNewsRails</title>
    <%= csrf_meta_tags %>

    <%= stylesheet_link_tag    'application', media: 'all', 'data-turbolinks-track': 'reload' %>
    <%= javascript_include_tag 'application', 'data-turbolinks-track': 'reload' %>
  </head>

  <body class="full-view">
    <%= yield %>
  </body>
</html>

app/views/main/home.html.erb
<% @frequent_stories.each do |phrase, count| %>
  <%= phrase %> ----> <%= count %>
  <br />
<% end %>

app/views/main/home/_reddit.html.erb
<center><h1>Reddit</h1></center>

app/views/main/landing_page.html.erb
<div class="parallax background--elephant">
  <div class="parallax__block--center">
    <span class="block--dark text--large text--wide">ALTERRAH</span>
    <!-- Rediscover the Web -->
  </div>
</div>

<div class="block--dark">
  <div class="text--center text--large">Mission Statement:<br/>Provide News in a meaningful and digestible way.</div>
  <br/><br/>
  <div class="">Objectives</div>
  - Provide a service to people who care about expelling their own bias <br/>
  - Gauge organic interest in stories as opposed to just media interests <br/>

</div>

<div class="parallax background--portrait">
  <div class="parallax__block--center">
    <span class="block--light text--large text--wide">
      Reconcile with the Truth
    </span>
  </div>
</div>

<div class="block--dark">
  <!-- TODO: Turn this into some generic css class-->
  <div style="margin-top: 10px; margin-bottom: 10px;" class="text--center text--large">
    <%= link_to 'Explore Alterrah', main_path, class: 'button--large background--white' %>
  </div>
</div>